/* 
 * File:   main.c
 * Author: firtec
 *
 * Created on 25 de abril de 2014, 11:24
 */

#include <xc.h>
#include <stdio.h>
#include <stdlib.h>
#include <plib/usart.h>
//#include <plib/adc.h> // Librera para el ADC

#pragma config OSC=HS,PWRT=ON,MCLRE=OFF,LVP=OFF,WDT=OFF
#ifndef _XTAL_FREQ

 #define _XTAL_FREQ 20000000
#endif
#include "C:\ELECTRNICA\Programas PIC\2014\EJERCICIOS_XC8\DS1820_RS232.X\lcd_xc8.c"
#include "C:\ELECTRNICA\Programas PIC\2014\EJERCICIOS_XC8\DS1820_RS232.X\lcd_xc8.h"

#include "1wire.h"

void xputsUSART (char *data);
void xputrsUSART (const char *data);

#ifndef _XTAL_FREQ
  #define _XTAL_FREQ 20000000
#endif

void delay(unsigned int t){ // Mnimo argumento 2!!!! tarda 1mS.
while(--t)
    __delay_ms(1);
}

//**************************************************************************/
void main(void){
float Grados=0; 	// Variable para contener el dato temperatura
char TempStr[5];	// String para convertir el dato en caracteres

OpenUSART (USART_TX_INT_OFF & 	// TX sin interrupcin
           USART_RX_INT_OFF &	// RX sin interrupcines
           USART_ASYNCH_MODE &	// Modo asincrnico
           USART_EIGHT_BIT &	// Modo alta velocidad
           USART_BRGH_HIGH, 64);//,129);//64);	// 19200 baudios a 20Mhz

lcd_init();	 //Inicializa el LCD
xputrsUSART("\n\r\nFirtec Data Logger Remoto de Temperatura");
xputrsUSART("\n\rFirmware revision v1.0\n\r");
lcd_putrs(" Iniciando....");
delay(5000);  // Espera 5 segundos para empezar a medir la temperatura.
lcd_gotoxy(2,1);
lcd_putrs("SENSOR DS18B20"); 
lcd_gotoxy(1,2);
lcd_putrs("Temperatura:    ");

while(1){
  Convert_Temperature();	
	
//Grados = Read_Temperature_DS18S20();
Grados = Read_Temperature_DS18B20();
   sprintf(TempStr,"%2.1f", Grados);
    lcd_gotoxy(13,2);     
      lcd_puts(TempStr);
      xputrsUSART("\n\rCelsius: ");
      xputsUSART(TempStr);
    delay(1000);

 }
}

